FROM golang:1.17.6-alpine

# Update and install tools for easy debugging
RUN apk update
RUN apk add --no-cache bash

# Making app folder, set as working directory, and copy everything to it.
RUN mkdir /app
ADD . /app
WORKDIR /app

# Install and tidy golang dependency for server.
RUN go mod tidy

# Run the server.
CMD ["bash", "./scripts/init_server_prod.sh"]

## Expose the port.
EXPOSE 8000